import queryString from 'query-string'

export type QueryParams = {
  [name: string]: string
}

export async function callApi(path: string, queryParams?: QueryParams) {
  const url = path + (
    queryParams ? '?' + queryString.stringify(queryParams) : ''
  )

  return await $fetch(url)
}
