package game

import (
	"fmt"
)

func (gm *Game) SetScoreByPlayer(id string, score int) error {
	p := gm.players[id]
	if p.id != id {
		return fmt.Errorf("player id \"%s\" not found")
	}
	p.score = score
	gm.players[id] = p
	return nil
}
