import { defineStore } from 'pinia'

export const useEngineStore = defineStore('EngineStore', {
  state: () => {
    return {
      json: {},
    }
  },
  actions: {
    setJson(json: any): void {
      this.json = json
    },
    reset(): void {
      this.json = {}
    },
  },
})
